import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class AnimatedImage here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class AnimatedImage extends Mover
{
    /**
     * Act - do whatever the AnimatedImage wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private GreenfootImage[] images;
    protected int curImage = 0;
    
    public AnimatedImage(String basename, String suffix, int numImages)
    {
        images = new GreenfootImage[numImages];
        for (int idx = 0; idx < numImages; idx++)
        {
            images[idx] = new GreenfootImage (basename + idx + suffix);
            
        }
        
        setImage(images[curImage]);
    }
    
    public void act() 
    {
        curImage = (curImage + 1) % images.length;
        setImage(images[curImage]);
        
    }    
}
